Bug Hunting Session
Bug 36112 - Combine Apply and Reset Buttons in Dialogues
Summary: Combine Apply and Reset Buttons in Dialogues
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 Beta1
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-10 03:39 UTC by Stefan Knorr (astron)
Modified: 2012-02-08 09:16 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Slightly too large GIF animation of the behaviour (610.66 KB, image/gif)
2011-04-10 03:39 UTC, Stefan Knorr (astron)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Knorr (astron) 2011-04-10 03:39:14 UTC
Created attachment 45456 [details]
Slightly too large GIF animation of the behaviour

To save LibreOffice dialogues from becoming too cluttered, now that there is an added "Apply" button, I would propose to combine the Apply and Reset buttons that are currently used. Please see the animation in the attachment.
It might help if the proposed Apply/Revert button had a red/green icon on itdepending on in which state it currently is (not shown in the GIF).
Comment 1 Jan Holesovsky 2011-04-14 14:37:45 UTC
So - I think this would be best discussed on the design@ mailing list; but I am personally not a friend buttons that change context...  Instead, I think it would be good to eg. change the [OK] / [Apply] / [Cancel] combo to [Apply] / [Close]; or something.
Comment 2 Kohei Yoshida 2011-04-18 18:11:16 UTC
BTW, 3.3.4 version number doesn't exist.  Did you mean 3.4 Beta1?
Comment 3 Stefan Knorr (astron) 2011-04-19 05:38:09 UTC
You're right. I was confused -- I set it as a target version number. Thanks for the correction.
Comment 4 Björn Michaelsen 2011-12-23 12:05:22 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 5 Stefan Knorr (astron) 2012-02-08 09:16:32 UTC
Resolving this as WONTFIX, seeing how modeless dialogues would be much more desirable. See:
http://wiki.documentfoundation.org/Design/Whiteboards/PropertiesButtonLayout